from django.urls import path
from rest_framework_simplejwt.views import TokenRefreshView

from . import views

urlpatterns = [
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path("signup/", views.RegistrationView.as_view()),
    path("login/", views.LoginView.as_view()),
    path("logout/", views.LogoutView.as_view()),

    path("request-otp/", views.OtpRequestView.as_view()),
    path("verify-otp/", views.OTPVerificationView.as_view()),
    path("forget-password/", views.ForgetPasswordView.as_view()),

    path("account/deactivate/", views.AccountDeactivateView.as_view()),

    path('google-signin/', views.GoogleSignin.as_view(), name='google_signin'),
    path('apple-signin/', views.AppleSignin.as_view(), name='apple_signin'),

    path('version-check/', views.VersionCheck.as_view(), name='version_check'),

]
